사용자
사용자 미디어 조회
GET /v1/users/{screen_name}/media reads 2 크레딧
계정의 미디어 탭: 사진, 비디오 또는 GIF가 있는 그 계정의 게시물, 최신순.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 20 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서 |
응답
계정, 미디어 게시물, 다음 페이지 커서(끝이면 null). 필드별 설명: Tweet (읽기).
상태: 200, 400, 404, 429, 502
요청
curl https://api.xsignalfeed.com/v1/users/nasa/media?count=20 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"user": {
"id": "11348282",
"screen_name": "NASA"
},
"tweets": [
{
"id": 2100306604344132055,
"created_ms": 1789587090942,
"user_id": 11348282,
"user": "NASA",
"name": "NASA",
"text": "This starry view is one of the largest images released to date from @NASAWebb…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100306604344132055",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/….jpg",
"expanded_url": "https://x.com/NASA/status/2100306604344132055/photo/1",
"width": 1616,
"height": 2000
}
],
"urls": [
"https://go.nasa.gov/…"
],
"views": "455513",
"counts": {
"reply": 140,
"rt": 601,
"like": 4202,
"quote": 30,
"bookmark": 213
}
},
{
"…": "…"
}
],
"next_cursor": "DAABCgABHSYySjO___0KAAIdH3F3aRZxxggAAwAAAAIAAA"
}